Bug 1426676 - bogus libdir in libtimidity.pc
Summary: bogus libdir in libtimidity.pc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtimidity
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1424030
TreeView+ depends on / blocked
 
Reported: 2017-02-24 15:17 UTC by Ralf Corsepius
Modified: 2017-07-14 13:22 UTC (History)
3 users (show)

Fixed In Version: libtimidity-0.2.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-14 13:22:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-24 15:17:34 UTC
Description of problem:

The libtimidity.pc file shipped with libtimidity-devel contains a broken libdir:

# cat /usr/lib64/pkgconfig/libtimidity.pc 
prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include
...

On 64bit targets, this causes pkg-config to return /usr/lib instead of /usr/lib64.
# pkg-config --libs libtimidity
-L/usr/lib -ltimidity

Version-Release number of selected component (if applicable):
libtimidity-0.2.1-2.fc26.x86_64

Additional info:
- I haven't checked older Fedoras, but I'd assume all released version on all released Fedoras are affected.

- This bogus -L/usr/lib introduces bogus linker paths when building other packages and can cause linking errors in multilib'ed environments.

- One possible fix would be this patch:
diff -Naur libtimidity-0.2.1.orig/libtimidity.pc.in libtimidity-0.2.1/libtimidity.pc.in
--- libtimidity-0.2.1.orig/libtimidity.pc.in    2016-10-01 11:01:40.000000000 +0200
+++ libtimidity-0.2.1/libtimidity.pc.in 2017-02-24 14:47:25.669017202 +0100
@@ -1,7 +1,7 @@
 prefix=@prefix@
 exec_prefix=${prefix}
-libdir=${exec_prefix}/lib
-includedir=${prefix}/include
+libdir=@libdir@
+includedir=@includedir@

 Name: libtimidity
 Description: MIDI to WAVE converter library

Comment 1 Fedora End Of Life 2017-02-28 12:26:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Ozkan Sezer 2017-03-19 08:16:04 UTC
I just applied the following patch in mainstream:
https://sourceforge.net/p/libtimidity/libtimidity/ci/f8ba2ff6aee08fdca235ed17b45413f7e94e1821/

Is this good enough?

Comment 3 Hans de Goede 2017-03-19 08:22:53 UTC
Hi,

(In reply to Ozkan Sezer from comment #2)
> I just applied the following patch in mainstream:
> https://sourceforge.net/p/libtimidity/libtimidity/ci/
> f8ba2ff6aee08fdca235ed17b45413f7e94e1821/
> 
> Is this good enough?

Yes that looks good to me.

Regards,

Hans

Comment 4 Ozkan Sezer 2017-03-19 09:20:40 UTC
Ok then, just made a new 0.2.4 release with the fix included.

Comment 5 Fedora Update System 2017-07-04 10:30:55 UTC
libtimidity-0.2.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7207d6039

Comment 6 Fedora Update System 2017-07-04 17:20:37 UTC
libtimidity-0.2.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7207d6039

Comment 7 Fedora Update System 2017-07-14 13:22:34 UTC
libtimidity-0.2.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.